## RygelMetaConfig

RygelMetaConfig — Manages all the configuration sources for Rygel.

## Functions

RygelMetaConfig * | rygel_meta_config_new ()
RygelMetaConfig * | rygel_meta_config_get_default ()
void | rygel_meta_config_register_configuration ()

## Types and Values

#define | RYGEL_TYPE_META_CONFIG
struct | RygelMetaConfig
struct | RygelMetaConfigClass

## Object Hierarchy

        GObject
        ╰── RygelMetaConfig

## Implemented Interfaces

RygelMetaConfig implements RygelConfiguration.

## Description

Abstracts Rygel and its plugins from Configuration implementations. It keeps all real configuration sources in a list and returns the value provided by the first one. If none of them provides the value, it emits an error.

## Functions

### rygel_meta_config_new ()

    RygelMetaConfig *
    rygel_meta_config_new (void);

### rygel_meta_config_get_default ()

    RygelMetaConfig *
    rygel_meta_config_get_default (void);

### rygel_meta_config_register_configuration ()

    void
    rygel_meta_config_register_configuration
                                   (RygelConfiguration *config);

#### Parameters

config |  |

## Types and Values

### RYGEL_TYPE_META_CONFIG

    #define RYGEL_TYPE_META_CONFIG (rygel_meta_config_get_type ())

The type for RygelMetaConfig.

### struct RygelMetaConfig

    struct RygelMetaConfig;

Manages all the configuration sources for Rygel.

Abstracts Rygel and its plugins from Configuration implementations. It keeps all real configuration sources in a list and returns the value provided by the first one. If none of them provides the value, it emits an error.

### struct RygelMetaConfigClass

    struct RygelMetaConfigClass {
    	GObjectClass parent_class;
    };

The class structure for `RYGEL_TYPE_META_CONFIG`. All the fields in this structure are private and should never be accessed directly.

#### Members